Page MenuHomePhabricator

Document how change dispatching works
Closed, ResolvedPublic

Description

We should have a document in our docs folder that describes how change dispatching works. Most important points to cover:

  • Information flow: save -> wbchanges table -> change dispatcher -> change handler -> recentchanges, etc
  • Coordination: queueing/locking via the wbchanges_dispatch table
  • Persistance: the db schema of wbchanges and wbchanges_dispatch
  • Usage: how to set and run the maintenance scripts
  • Configuration: relevant settings`monospaced text`

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedAddshore

Event Timeline

daniel created this task.Nov 26 2016, 2:42 PM
daniel moved this task from Inbox to To Do on the User-Daniel board.Jan 5 2017, 6:56 PM
Addshore closed this task as Resolved.Dec 11 2017, 4:07 PM
Addshore claimed this task.

@daniel I'm closing this as we indeed found the docs in Wikibase/docs/change-propagation.wiki